<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Settings/src/SQLiteSettingStorage.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_7b2f53332397a9531c02a7761b07578b.html">Settings</a></li><li class="navelem"><a class="el" href="dir_0240842532871a78aec5cbcb2b1fe4a1.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">SQLiteSettingStorage.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;<a class="el" href="_s_q_lite_statement_8h_source.html">SQLiteStorage/SQLiteStatement.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_s_q_lite_utils_8h_source.html">SQLiteStorage/SQLiteUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_string_utils_8h_source.html">AVSCommon/Utils/String/StringUtils.h</a>&gt;</code><br />
<code>#include &quot;<a class="el" href="_s_q_lite_setting_storage_8h_source.html">Settings/SQLiteSettingStorage.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for SQLiteSettingStorage.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_s_q_lite_setting_storage_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_settings_2src_2_s_q_lite_setting_storage_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_settings_2src_2_s_q_lite_setting_storage_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_settings_2src_2_s_q_lite_setting_storage_8cpp">
<area shape="rect" id="node2" href="_s_q_lite_statement_8h.html" title="SQLiteStorage/SQLiteStatement.h" alt="" coords="299,285,524,311"/>
<area shape="rect" id="node5" href="_s_q_lite_utils_8h.html" title="SQLiteStorage/SQLiteUtils.h" alt="" coords="468,112,658,137"/>
<area shape="rect" id="node9" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1609,105,1785,144"/>
<area shape="rect" id="node26" href="_string_utils_8h.html" title="AVSCommon/Utils/String\l/StringUtils.h" alt="" coords="5,279,175,317"/>
<area shape="rect" id="node27" href="_s_q_lite_setting_storage_8h.html" title="Settings/SQLiteSettingStorage.h" alt="" coords="707,112,921,137"/>
<area shape="rect" id="node6" href="_s_q_lite_database_8h.html" title="SQLiteStorage/SQLiteDatabase.h" alt="" coords="453,199,674,224"/>
<area shape="rect" id="node14" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1127,192,1341,231"/>
<area shape="rect" id="node18" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="1619,279,1795,317"/>
<area shape="rect" id="node19" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1921,192,2097,231"/>
<area shape="rect" id="node24" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="1598,192,1795,231"/>
<area shape="rect" id="node25" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="2206,192,2382,231"/>
<area shape="rect" id="node20" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="2014,279,2190,317"/>
<area shape="rect" id="node22" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="1779,365,1955,404"/>
<area shape="rect" id="node28" href="_settings_storage_interface_8h.html" title="Settings/SettingsStorage\lInterface.h" alt="" coords="801,279,969,317"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1settings"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html">alexaClientSDK::capabilityAgents::settings</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_s_q_lite_setting_storage_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6427363d719338b46953ea310d1e77da"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a6427363d719338b46953ea310d1e77da">alexaClientSDK::capabilityAgents::settings::TAG</a> (&quot;SQLiteSettingsStorage&quot;)</td></tr>
<tr class="memdesc:a6427363d719338b46953ea310d1e77da"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a6427363d719338b46953ea310d1e77da">More...</a><br /></td></tr>
<tr class="separator:a6427363d719338b46953ea310d1e77da"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4c81a8ad89582eebba382568e922d024"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a4c81a8ad89582eebba382568e922d024">alexaClientSDK::capabilityAgents::settings::SETTINGS_CONFIGURATION_ROOT_KEY</a> = &quot;settings&quot;</td></tr>
<tr class="memdesc:a4c81a8ad89582eebba382568e922d024"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key in our config file to find the root of settings.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a4c81a8ad89582eebba382568e922d024">More...</a><br /></td></tr>
<tr class="separator:a4c81a8ad89582eebba382568e922d024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaa366807af69f46cb266b6071df1079"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#aeaa366807af69f46cb266b6071df1079">alexaClientSDK::capabilityAgents::settings::SETTINGS_DB_FILE_PATH_KEY</a> = &quot;databaseFilePath&quot;</td></tr>
<tr class="memdesc:aeaa366807af69f46cb266b6071df1079"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key in our config file to find the database file path.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#aeaa366807af69f46cb266b6071df1079">More...</a><br /></td></tr>
<tr class="separator:aeaa366807af69f46cb266b6071df1079"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15eadc3a2f0d6e72d27049043aab263d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a15eadc3a2f0d6e72d27049043aab263d">alexaClientSDK::capabilityAgents::settings::SETTINGS_TABLE_NAME</a> = &quot;settings&quot;</td></tr>
<tr class="memdesc:a15eadc3a2f0d6e72d27049043aab263d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the settings table.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a15eadc3a2f0d6e72d27049043aab263d">More...</a><br /></td></tr>
<tr class="separator:a15eadc3a2f0d6e72d27049043aab263d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab244877f485a255e751831a954b31c83"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#ab244877f485a255e751831a954b31c83">alexaClientSDK::capabilityAgents::settings::SETTING_KEY</a> = &quot;key&quot;</td></tr>
<tr class="memdesc:ab244877f485a255e751831a954b31c83"><td class="mdescLeft">&#160;</td><td class="mdescRight">The setting key.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#ab244877f485a255e751831a954b31c83">More...</a><br /></td></tr>
<tr class="separator:ab244877f485a255e751831a954b31c83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b46dea8438d473f3ea9adacacd547ae"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a2b46dea8438d473f3ea9adacacd547ae">alexaClientSDK::capabilityAgents::settings::SETTING_VALUE</a> = &quot;value&quot;</td></tr>
<tr class="memdesc:a2b46dea8438d473f3ea9adacacd547ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">The setting value.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a2b46dea8438d473f3ea9adacacd547ae">More...</a><br /></td></tr>
<tr class="separator:a2b46dea8438d473f3ea9adacacd547ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81c795b5e931aaa527fa1892c74589b4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a81c795b5e931aaa527fa1892c74589b4">alexaClientSDK::capabilityAgents::settings::CREATE_SETTINGS_TABLE_SQL_STRING</a></td></tr>
<tr class="memdesc:a81c795b5e931aaa527fa1892c74589b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The SQL string to create the settings table.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1settings.html#a81c795b5e931aaa527fa1892c74589b4">More...</a><br /></td></tr>
<tr class="separator:a81c795b5e931aaa527fa1892c74589b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
